Bug 205018 - trac crashes under FC5
trac crashes under FC5
Product: Fedora
Classification: Fedora
Component: trac (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Joost Soeterbroek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-09-02 09:42 EDT by André
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-28 23:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
httpd.conf, trac.conf, trac.ini, /usr/sbin/httpd core dump (2.34 MB, application/x-zip-compressed)
2006-09-02 09:42 EDT, André
no flags Details

  None (edit)
Description André 2006-09-02 09:42:40 EDT
Description of problem:
After FC4 upgrade to FC5 Trac does not work with Apache2 - it exits with
following notice in error_log:
[notice] child pid 20712 exit signal Segmentation fault (11), possible coredump
in /tmp/apache-gdb-dump

gdb on core dump shows:
Loaded symbols for /usr/lib64/python2.4/lib-dynload/_heapq.so
#0  0x00002aaab213013c in PyDict_GetItem () from /usr/lib64/libpython2.4.so.1.0

What I have tried so far:
 * Reinstalled trac and created new test Trac Environment, which works under
tracd, but crashes with apache
 * Reinstalled httpd and related components completely (with new httpd.conf and
conf.d files), but still crashes

Last working FC4 environment (FC4->FC5 was done on May 25, could only find so
little from my logs):
trac.noarch 0.9.5-1.fc4

New crashing FC5 components:
trac.noarch 0.9.6-1.fc5
mod_python.x86_64 3.2.8-3
sqlite.x86_64 3.3.3-1.2
httpd.x86_64 2.2.2-1.2
python.x86_64 2.4.3-8.FC5
subversion.x86_64 1.3.2-2.1

Following lines were added/changed in the default http.conf that was created
after clean reinstall.
 * CoreDumpDirectory /tmp/apache-gdb-dump
 * ServerTokens Prod
 * ServerName
 * LogLevel debug

Trac config files can be found in the attachment along with core dump.

Steps to Reproduce:
Upgrade from FC4 to FC5 or install named components under FC5. Should have a
nice, crashing environment.
Comment 1 André 2006-09-02 09:42:41 EDT
Created attachment 135428 [details]
httpd.conf, trac.conf, trac.ini, /usr/sbin/httpd core dump
Comment 2 André 2006-09-03 02:46:05 EDT
Did some more experiments yesterday and got it running with cgi, fcgi
so the problem seems to be in mod_python. 
Comment 3 Joost Soeterbroek 2006-09-03 05:59:10 EDT
I cannot reproduce the error on my current hardware (x86 arch). 

Could you try to see if similar problems occur with mod_python directly (not
using trac). Maybe we can isolate the problem to mod_python on x86_64 exclusively.
Comment 4 Joost Soeterbroek 2006-09-28 23:58:19 EDT
I am closing this ticket; cannot reproduce. 
Comment 5 Scott Douglass 2007-02-01 20:54:49 EST
I had this problem on x86/FC5 system. I tracked it down to a conflict with one
apache httpd module loaded in httpd.conf: LoadModule mem_cache_module

Disabling that module allows trac to work with mod_python as expected.

Note You need to log in before you can comment on or make changes to this bug.